<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'bulkusers', language 'cy', version '2.3'.
 *
 * @package     bulkusers
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addall'] = 'Ychwanegu pob un';
$string['addsel'] = 'Ychwanegu at y dewis';
$string['allfilteredusers'] = 'Pob un wedi\'i hidlo ({$a->count}/{$a->total})';
$string['allselectedusers'] = 'Pob un wedi\'i ddewis ({$a->count}/{$a->total})';
$string['allusers'] = 'Pob defnyddiwr ({$a})';
$string['available'] = 'Ar gael';
$string['confirmmessage'] = 'Ydych chi wir eisiau anfon y neges uchod at bob un o\'r defnyddwyr hyn?<br />{$a}';
$string['nofilteredusers'] = 'Heb ganfod dim defnyddwyr (0/{$a})';
$string['noselectedusers'] = 'Dim defnyddwyr wedi\'u dewis';
$string['removeall'] = 'Tynnu pob un';
$string['removesel'] = 'Tynnu o\'r dewis';
$string['selected'] = 'Dewiswyd';
$string['selectedlist'] = 'Rhestr o\'r defnyddwyr a ddewiswyd...';
$string['selectedlist_help'] = 'Mae\'n bosib ychwanegu defnyddwyr at y rhestr defnyddwyr a ddewiswyd, neu eu tynnu oddi ar y rhestr, drwy glicio ar enwau\'r defnyddwyr a chlicio ar fotwm addas. Gallwch ddewis mwy nag un defnyddiwr drwy ddal y fysell Apple neu Ctrl i lawr a chlicio ar enwau\'r defnyddwyr.';
$string['users'] = 'Defnyddwyr';
$string['users_help'] = 'Mae pob defnyddiwr sydd wedi pasio\'r hidlyddion gweithredol wedi\'u rhestru yn y blwch sydd ar gael. Os nad oes hidlydd wedi\'i osod, bydd pob defnyddiwr safle yn cael ei restru.';
$string['usersfound'] = 'Wedi canfod {$a} defnyddiwr.';
$string['usersinlist'] = 'Defnyddwyr yn y rhestr';
$string['usersselected'] = 'Wedi dewis {$a} defnyddiwr.';
