<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'dbtransfer', language 'cy', version '2.3'.
 *
 * @package     dbtransfer
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['checkingsourcetables'] = 'Wrthi\'n gwirio strwythur y tabl tarddu';
$string['copyingtable'] = 'Wrthi\'n copïo\'r tabl {$a}';
$string['copyingtables'] = 'Wrthi\'n copïo cynnwys y tabl';
$string['creatingtargettables'] = 'Wrthi\'n creu\'r tablau yn y gronfa ddata darged';
$string['dbexport'] = 'Allgludo cronfa ddata';
$string['dbtransfer'] = 'Trosglwyddo cronfa ddata';
$string['differenttableexception'] = 'Dydy strwythur y tabl {$a} ddim yn cyfateb.';
$string['done'] = 'Wedi gorffen';
$string['exportschemaexception'] = 'Dydy strwythur presennol y gronfa ddata ddim yn cyfateb i bob ffeil install.xml. <br /> {$a}';
$string['importschemaexception'] = 'Dydy strwythur presennol y gronfa ddata ddim yn cyfateb i bob ffeil install.xml. <br /> {$a}';
$string['importversionmismatchexception'] = 'Dydy\'r fersiwn bresennol {$a->currentver} ddim yn cyfateb i\'r fersiwn a allgludwyd {$a->schemaver}.';
$string['malformedxmlexception'] = 'Wedi canfod XML wedi\'i gamffurfio. Does dim modd bwrw ymlaen.';
$string['unknowntableexception'] = 'Wedi canfod tabl ddieithr {$a} yn y ffeil allgludo.';
