<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'book', language 'cy', version '2.3'.
 *
 * @package     book
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addafter'] = 'Ychwanegu pennod newydd';
$string['book:edit'] = 'Golygu penodau\'r llyfr';
$string['book:read'] = 'Darllen llyfr';
$string['book:viewhiddenchapters'] = 'Gweld penodau cudd y llyfr';
$string['chapters'] = 'Penodau';
$string['chaptertitle'] = 'Teitl y bennod';
$string['confchapterdelete'] = 'Ydych chi wir am ddileu\'r bennod hon?';
$string['confchapterdeleteall'] = 'Ydych chi wir am ddileu\'r bennod hon a\'r holl is-benodau?';
$string['content'] = 'Cynnwys';
$string['customtitles'] = 'Teitlau personol';
$string['customtitles_help'] = 'Dim ond yn TOC y mae teitlau\'r penodau\'n ymddangos yn awtomatig.';
$string['editingchapter'] = 'Wrthi\'n golygu pennod';
$string['errorchapter'] = 'Gwall wrth ddarllen pennod llyfr.';
$string['modulename'] = 'Llyfrau';
$string['modulename_help'] = 'Mae Llyfrau yn ddeunydd astudio syml ar sawl tudalen.';
$string['modulename_link'] = 'mod/book/view';
$string['modulenameplural'] = 'Llyfrau';
$string['navexit'] = 'Gadael y Llyfrau';
$string['navnext'] = 'Nesaf';
$string['navprev'] = 'Blaenorol';
$string['numbering'] = 'Rhifo penawdau';
$string['numbering0'] = 'Dim';
$string['numbering1'] = 'Rhifau';
$string['numbering2'] = 'Bwledi';
$string['numbering3'] = 'Mewnoliad';
$string['numbering_help'] = '* Dim - dydy teitlau penodau ac is-benodau ddim yn cael eu fformatio o gwbl. Defnyddiwch hwn os ydych chi am ddiffinio arddulliau rhifo arbennig. Er enghraifft, llythrennau: mewn math o deitlau penodau "Pennod Gyntaf A", "A.1 Is-bennod",... * Rhifau - mae penodau ac is-benodau wedi\'u rhifo (1, 1.1, 1.2, 2, ...) * Bwledi - mae is-benodau\'n cael eu mewnoli ac yn ymddangos gyda phwyntiau bwled * Mewnoliad - mae is-benodau\'n cael eu mewnoli';
$string['numberingoptions'] = 'Dewisiadau rhifo sydd ar gael';
$string['page-mod-book-x'] = 'Unrhyw dudalen modiwl llyfrau';
$string['pluginadministration'] = 'Gweinyddu Llyfrau';
$string['pluginname'] = 'Llyfrau';
$string['subchapter'] = 'Is-bennod';
$string['toc'] = 'Tabl cynnwys';
$string['top'] = 'brig';
